1. Listy's Avatar
    I'm 100% sure that I was opperating 3.1.2 7D11

    Trying to restore the firmware but iTunes is telling me it's incompatible.
    Any ideas?
    05-01-2010 03:09 AM
  2. Listy's Avatar
    Sorry, not thinking.
    Had the firmware for the 3G not the 3GS.
    05-01-2010 03:21 AM
  3. Listy's Avatar
    I'm restoring a clients iPhone. Now using 3gS firware 3.1.2 and I'm getting a message "extracting software" then "verfying iPhone restore with Apple" then a message comes up saying the iphone could not be restored. This device isn't eligible for the request build..... Any advise please.
    05-01-2010 01:49 PM
  4. Raeki's Avatar
    apple must check that what firmware you wanna upgrade/restore to is the newest version

    aka if you didn't store your hashes in cydia you're screwed
    05-01-2010 03:33 PM
  5. Listy's Avatar
    Thanks Raeki.

    On the 3GS, the firmware update has to be signed by Apple's signature server. Soon after they release a new version, they pull the old version. Not so for the 3G?? Saurik's signature server gets around this by replaying SHSH, but if you don't have a 3.1.2 SHSH on file and Apple have pulled it, I'm not getting to that version. I needed to point your host file to the following:- 74.208.105.171 gs.apple.com which I hadn't done yet. So this iPhone is going to be LOCKED again and that tuff luck.
    05-01-2010 03:53 PM
LINK TO POST COPIED TO CLIPBOARD